## IAnjutaBuildable

IAnjutaBuildable — Implemented by plugins that can build. This interface will be replaced by IAnjutaBuilder (for build functions) and IAnjutaEnvironment for ianjuta_buildable_set_command, ianjuta_buildable_reset_command and ianjuta_buildable_get_command.

## Stability Level

Obsolete, unless otherwise indicated

## Functions

GQuark | ianjuta_buildable_error_quark ()
void | ianjuta_buildable_build ()
void | ianjuta_buildable_clean ()
void | ianjuta_buildable_configure ()
void | ianjuta_buildable_execute ()
void | ianjuta_buildable_generate ()
const gchar * | ianjuta_buildable_get_command ()
void | ianjuta_buildable_install ()
void | ianjuta_buildable_reset_commands ()
void | ianjuta_buildable_set_command ()

## Types and Values

#define | IANJUTA_BUILDABLE_ERROR
enum | IAnjutaBuildableCommand

## Object Hierarchy

        GEnum
        ╰── IAnjutaBuildableCommand
        GInterface
        ╰── IAnjutaBuildable

## Includes

    #include <libanjuta/interfaces/ianjuta-buildable.h>

## Description

## Functions

### ianjuta_buildable_error_quark ()

    GQuark
    ianjuta_buildable_error_quark (void);

### ianjuta_buildable_build ()

    void
    ianjuta_buildable_build (IAnjutaBuildable *obj,
                             const gchar *uri,
                             GError **err);

fixme

#### Parameters

obj | Self |
uri | fixme |
err | Error propagation and reporting. |

### ianjuta_buildable_clean ()

    void
    ianjuta_buildable_clean (IAnjutaBuildable *obj,
                             const gchar *uri,
                             GError **err);

fixme

#### Parameters

obj | Self |
uri | fixme |
err | Error propagation and reporting. |

### ianjuta_buildable_configure ()

    void
    ianjuta_buildable_configure (IAnjutaBuildable *obj,
                                 const gchar *uri,
                                 GError **err);

fixme

#### Parameters

obj | Self |
uri | fixme |
err | Error propagation and reporting. |

### ianjuta_buildable_execute ()

    void
    ianjuta_buildable_execute (IAnjutaBuildable *obj,
                               const gchar *uri,
                               GError **err);

fixme

#### Parameters

obj | Self |
uri | fixme |
err | Error propagation and reporting. |

### ianjuta_buildable_generate ()

    void
    ianjuta_buildable_generate (IAnjutaBuildable *obj,
                                const gchar *uri,
                                GError **err);

fixme

#### Parameters

obj | Self |
uri | fixme |
err | Error propagation and reporting. |

### ianjuta_buildable_get_command ()

    const gchar *
    ianjuta_buildable_get_command (IAnjutaBuildable *obj,
                                   IAnjutaBuildableCommand command_id,
                                   GError **err);

Retrieves the currently set command override.

#### Parameters

obj | Self |
command_id | Command to get override. |
err | Error propagation and reporting. |

#### Returns

The overridden command. NULL if no override set.

### ianjuta_buildable_install ()

    void
    ianjuta_buildable_install (IAnjutaBuildable *obj,
                               const gchar *uri,
                               GError **err);

fixme

#### Parameters

obj | Self |
uri | fixme |
err | Error propagation and reporting. |

### ianjuta_buildable_reset_commands ()

    void
    ianjuta_buildable_reset_commands (IAnjutaBuildable *obj,
                                      GError **err);

Resets the command overrides to defaults.

#### Parameters

obj | Self |
err | Error propagation and reporting. |

### ianjuta_buildable_set_command ()

    void
    ianjuta_buildable_set_command (IAnjutaBuildable *obj,
                                   IAnjutaBuildableCommand command_id,
                                   const gchar *command,
                                   GError **err);

Overrides the default command for the given command.

#### Parameters

obj | Self |
command_id | Command to override. |
command | Build command to override. |
err | Error propagation and reporting. |

## Types and Values

### IANJUTA_BUILDABLE_ERROR

    #define IANJUTA_BUILDABLE_ERROR ianjuta_buildable_error_quark()

### enum IAnjutaBuildableCommand

The enumeration is used to speficy the disered build operation

#### Members

IANJUTA_BUILDABLE_COMMAND_COMPILE | Compile source |
IANJUTA_BUILDABLE_COMMAND_BUILD | Build file (normally using make) |
IANJUTA_BUILDABLE_COMMAND_BUILD_TARBALL | make dist |
IANJUTA_BUILDABLE_COMMAND_INSTALL | make install |
IANJUTA_BUILDABLE_COMMAND_CONFIGURE | ./configure |
IANJUTA_BUILDABLE_COMMAND_GENERATE | ./autogen.sh |
IANJUTA_BUILDABLE_COMMAND_CLEAN | make clean |
IANJUTA_BUILDABLE_COMMAND_EXECUTE | ./hello |
IANJUTA_BUILDABLE_COMMAND_IS_BUILT | check whether object files are up-to-date |
IANJUTA_BUILDABLE_COMMAND_AUTORECONF |  |
IANJUTA_BUILDABLE_COMMAND_DISTCLEAN | make distclean |
IANJUTA_BUILDABLE_COMMAND_CHECK | make check |
IANJUTA_BUILDABLE_N_COMMANDS | size of enum |